# Wake-on-LAN send

An action block that sends a Wake-on-LAN packet (UDP) to awake a remote device.

The fiber will proceed immediately without pause.

## Input arguments

- MAC address — MAC address of remote device, 6 pairs of hexadecimal digits (bytes) separated by colon.
- SecureOn account — name of generic credentials account where the password will be appended to the packet.
- Host or IP address — hostname or IP address of remote device, default is to broadcast to network interface.
- Port — remote port, default is 9.
- Network interface — network interface, default is Wi-Fi on Android 5.1+, default data network interface on prior versions.